Package org.springframework.security.config.annotation

# Interface ObjectPostProcessor<T>

Type Parameters:
  `T` - the bound of the types of Objects this `ObjectPostProcessor` supports.

All Superinterfaces:
  `ObjectPostProcessor<T>`

@Deprecated public interface ObjectPostProcessor<T> extends ObjectPostProcessor<T>
Deprecated.
please use `ObjectPostProcessor` instead
Allows initialization of Objects. Typically this is used to call the `Aware` methods, `InitializingBean.afterPropertiesSet()`, and ensure that `DisposableBean.destroy()` has been invoked.

Since:
  3.2

## Method Summary

Modifier and Type
Method
Description
`<O extends T>
O`
`postProcess(O object)`
Deprecated.
Initialize the object possibly returning a modified instance that should be used instead.

## Method Details

### postProcess

<O extends T> O postProcess(O object)
Deprecated.
Initialize the object possibly returning a modified instance that should be used instead.

Specified by:
  `postProcess` in interface `ObjectPostProcessor<T>`
Parameters:
  `object` - the object to initialize
Returns:
  the initialized version of the object